cdrom_info_s Struct Reference
Public interface » ID macros » Hardware information

special CDROM entry More...

`#include <hd.h>`

## Data Fields

struct cdrom_info_s * | next
char * | name
unsigned | speed
unsigned | cdr:1
unsigned | cdrw:1
unsigned | dvd:1
unsigned | dvdr:1
unsigned | dvdram:1
unsigned | cdrom:1
| cdrom in drive
struct { |
unsigned cdrom_info_s::ok:1 |
char * cdrom_info_s::volume |
char * cdrom_info_s::publisher |
char * cdrom_info_s::preparer |
char * cdrom_info_s::application |
char * cdrom_info_s::creation_date |
} | iso9660
struct { |
unsigned cdrom_info_s::ok:1 |
unsigned cdrom_info_s::platform |
char * cdrom_info_s::id_string |
unsigned cdrom_info_s::bootable:1 |
unsigned cdrom_info_s::media_type |
| boot emulation type More...
unsigned cdrom_info_s::load_address |
unsigned cdrom_info_s::load_count |
| sectors to load More...
unsigned cdrom_info_s::start |
| start sector More...
unsigned cdrom_info_s::catalog |
| boot catalog start More...
struct { |
unsigned cdrom_info_s::c |
unsigned cdrom_info_s::h |
unsigned cdrom_info_s::s |
unsigned cdrom_info_s::size |
} cdrom_info_s::geo
char * cdrom_info_s::label |
} | el_torito

## Detailed Description

special CDROM entry

The documentation for this struct was generated from the following file:

- hd.h